RDKit::ConformerException Class Reference

used to indicate errors from incorrect confomer access More...

`#include <Conformer.h>`

Inheritance diagram for RDKit::ConformerException:

## Public Member Functions

| ConformerException (const char *msg)
| construct with an error message More...
| ConformerException (const std::string msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~ConformerException () throw ()

## Detailed Description

used to indicate errors from incorrect confomer access

Definition at line 21 of file Conformer.h.

## Constructor & Destructor Documentation

RDKit::ConformerException::ConformerException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 24 of file Conformer.h.

RDKit::ConformerException::ConformerException | ( | const std::string | msg | ) |

inline

construct with an error message

Definition at line 26 of file Conformer.h.

RDKit::ConformerException::~ConformerException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 29 of file Conformer.h.

## Member Function Documentation

const char* RDKit::ConformerException::message | ( |  | ) | const

inline

get the error message

Definition at line 28 of file Conformer.h.

The documentation for this class was generated from the following file:

- Conformer.h